// pages/productDetail/productDetail.js
const app = getApp()
const api = require('../../api/index')
const showImage = require('../../utils/showImage')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    product:{},
    productId:null,
    imgHttp:app.globalData.imghttp,
    labelPosition:'left',
    labelWidth:180,
    customStyle:" --padding:5rpx;font-weight:bold",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData(
      {
        productId:options.productId
      }
    )
    this.getProductDetail()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 页面功能
   */
  //获取产品信息
  getProductDetail(){
    var params = {
      id:this.data.productId
    }
    api.queryHotProductDetail(params).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            product:res.data.data
          }
        )
      }
    })
  },
  //复制URL
  copyURL(){
    wx.setClipboardData({
      data: this.data.product.amazonLink,
      success (res) {
        wx.showToast({
          title: '已复制',
          icon:'none'
        })
      }
    })
  },




  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})